
@import url('https://fonts.googleapis.com/css2?family=Aboreto&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Aboreto&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

body{
    font-family: poppins;
    margin: 0;
    font-size: 16px;
    background-color:#f5f2f5;  
   
}
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none ;
    max-width: 100vw;
    
}

:root{
    --border-color:#fff5;
    --w-image:400px;
    --calculate: calc(3 / 2);
}

header{
    display: grid;
    grid-template-columns: 80px 1fr calc(var(--w-image) * var(--calculate));
    column-gap: 30px;
    grid-template-rows: 80px;
    position: relative;
    z-index: 10;
    border-bottom: 0px solid var(--border-color);
}
header .logo img{
    width: 80%;
    border-radius: 50px;
}
header .logo{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 10px;

}
header nav a{
    color: black;
    font-weight: 400;
    font-family: 'Aboreto';
}
header nav ul{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    padding-right: 0px;
    padding-left: 300px;
}
header nav{
    border-left: 0px solid var(--border-color );
}
.social-icons a {
  margin: 5px;
  color: #fff;
  background: #333;
  padding: 8px;
  border-radius: 50%;
  display: inline-block;
  text-align: center;
  font-size: 14px;
}
.social-icons a:hover {
  background: #666;
}

.carousel{
    margin-top: -80px;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}
.carousel .list{
    height: 100%;
    position: relative;
}
.carousel .list::before{
    position: absolute;
    width: var/(--w-image);
    height: 100%;
    content: '';
    top: 0;
    left: calc(100% - calc(var(--w-image) * var(--calculate)));
    border-right: 0px solid var(--border-color);
    z-index: 10;
    pointer-events: none;
}
.carousel .list::after{
    position: absolute;
    top: 50px;
    left: 50px;
    content: '';
    background-color: rgba(230, 216, 216, 0.815);
    width: 400px;
    height: 300px;
    z-index: 10;
    pointer-events: none;
    border-radius: 20px 50px 110px 230px;
    filter: blur(150px);
    opacity: 0.5;
}

.carousel .list .item{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.carousel .list .item .image{
    width: var(--w-image);
    height: 100%;
    position: absolute;
    top: 0;
    left: calc(100% - calc(var(--w-image) * var(--calculate)));
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    font-weight: 500;
    overflow: hidden;
}

.carousel .list .item .image img{
    will-change: transform;
    width: 90%;
    margin-bottom: 0px;
    filter: drop-shadow(0 150px 50px #9e8c8c55);
}
.carousel .list .item .image figcaption{
    font-family: 'Aboreto';
    font-weight: bold;
    font-size: 1.3em;
    padding: 2px;
    text-align: right;
    margin-bottom: 30px;
    width: 90%;
}
.carousel .list .item .main-content{
    height:100%;
    display: grid;
    grid-template-columns: calc(100% - calc(var(--w-image) * var(--calculate)));
    overflow: hidden;
}
.carousel .list .item .main-content .content{
    padding: 150px 20px 20px 80px;
}
.carousel .list .item .main-content .content h2{
    font-size: 3em;
    font-family: 'Aboreto';
}
.carousel .list .item .main-content .content .price{
    font-family: 'Aboreto';
    font-size: 2em;
    margin: 20px 0;
}
.carousel .list .item .main-content .content .Purchase{
    background-color: transparent;
    color: #fff;
    padding: 10px 30px;
    font-family: poppins;
    font-size: large;
    font-weight: 500;
    border-radius: 30px;
    border: 1px solid #fff;
    margin-top: 20px;
    cursor: pointer;
    transition: 0.5s;
}
.carousel .list .item .main-content .content .Purchase:hover{
    background-color: black;
    transform: scale(1.1);
}
.arrows {
    position: absolute;
    bottom: 40px;
    right: calc(var(--w-image) * var(--calculate) + 30px);
    width: auto;
    display: flex;
    gap: 10px;
    z-index: 10;
}

.arrows button {
    background-color: transparent;
    border: 1px solid var(--border-color);
    color: #fff;
    font-family: monospace;
    font-size: large;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.5s ease;
    box-shadow: 0 5px 15px #5555;
    border-radius: 8px;
    width: 50px;
    height: 50px;
}

.arrows button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.carousel .list .item{
    display: none;
}
.carousel .list .item.active,
.carousel .list .item.other_1,
.carousel .list .item.other_2,
.carousel .list .item.other_3,
.carousel .list .item.other_4,
.carousel .list .item.other_5,
.carousel .list .item.other_6,
.carousel .list .item.other_7,
.carousel .list .item.other_8,
.carousel .list .item.other_9,
.carousel .list .item.other_10{
    display: block;
}
.carousel .list .item.active{
    z-index: 2;
}
.carousel .list .item.other_1,
.carousel .list .item.other_2,
.carousel .list .item.other_3,
.carousel .list .item.other_4,
.carousel .list .item.other_5,
.carousel .list .item.other_6,
.carousel .list .item.other_7,
.carousel .list .item.other_8,
.carousel .list .item.other_9,
.carousel .list .item.other_10{
    pointer-events: none;
}
.carousel .list .item.active .main-content{
    animation: showContent 1s ease-in-out 1 forwards;
}
@keyframes showContent{
    from{
        clip-path: circle(0% at 70% 50%);
    }to{
        clip-path: circle(100% at 70% 50%);
    }
}
.next .item.other_1{
    z-index: 1;
}
.next .item .image img,
.next .item .image figcaption{
    animation: effectNext .5s ease-in-out 1 forwards;
}
@keyframes effectNext {
    from{
        transform: translateX(calc(var(--transform-from)));
    }to{
        transform: translateX(calc(var(--transform-from) - var(--w-image)));
    }
}
.next .item.active .image{
    --transform-from: var(var(--w-image));
}
.next .item.other_1 .image{
    z-index: 3;
    --transform-from: 0px;
    overflow: hidden;
}
.next .item.other_2 .image{
    z-index: 3;
    --transform-from: calc(var(--w-image) *2);
}
.arrows{
    z-index: 10;
}
/* prev */
.prev .list .item .image img,
.prev .list .item .image figcaption{
    animation: effectPrev 0.5s ease-in-out 1 forwards;
}
@keyframes effectPrev {
    from{
        transform: translateX(calc(var(--transform-from)));
    }to{
        transform: translateX(calc(var(--transform-from) + var(--w-image)));
    }
}
.prev .list .item.active .image{
    --transform-from: calc(var(--w-image) * -1);
    overflow: hidden;
}
.prev .list .item.other_1 .image{
    --transform-from: 0px;
    z-index: 3;
}
.prev .list .item.other_2 .image{
    z-index: 3; 
    --transform-from: var(--w-image);
}
.prev .list .item.other_2 .main-content{
    opacity: 0;
}
@media  screen and (max-width: 1023px) {
    :root{
        --calculate: 1;
        --w-image: 400px;
    }
    .carousel .list .item .main-content .content h2{
        font-size: 3em;
    }
}
@media screen and (max-width: 767px){
    .carousel .list .item{
        display: none;
    }
    .carousel .list .item:not(.active){
        display: none;
    }
        .carousel .list .item.active{
            display: block;
        }
    
    .carousel .list .item .image{
        width: 100%;
        left: 0;
        justify-content: center;
    }
    .carousel .list .item .image figcaption{
        color: #fff;
        width: 100%;
        text-align: center;
    }  
    .carousel .list .item .main-content .content h2 {
        font-size: 1px;
        position: relative;
    }
    .carousel .list .item .main-content .content p {
        font-size: 0px;
    }
    .carousel .list .item .image img{
        filter: none;
    }
    .arrows{
        width: 100%;
        ;
        display: flex !important;
        justify-content: center;
        position: absolute;
        left: 50%;
        bottom: 100px;
        transform: translateX(-50%);
        z-index: 20;
    }
   
    .carousel .list .item.active .main-content{
        animation: none;
    }

.carousel .list .item .main-content .content .Purchase{
        display: flex;
        justify-content: center;
        position: absolute;
        left: 120px;
        bottom: 35px;
        transform: none;
        z-index: 20;
        align-items: center;
    }

  .social-icons{
    
    height: 100px;
    top: 10px;
    right: 10px;
    gap: 10px;
  }
.prev .list .item .image img,
.prev .list .item .image figcaption{
    animation: none;
    
}
header nav ul{
    padding-left: 0px;
    gap: 10px;
}
header nav a{
    border-bottom: 1px solid #fff;
    border-radius: 5px;
    padding: 5px;
}
.carousel .list .item .main-content .content .price{
    font-family: 'Aboreto';
    justify-content: center;
    position: absolute;
    left: 150px;
    bottom:70px;
    color: #fff;
    font-size: 1.5em;

    margin: 20px 0;
}
}
  
    
